> ## Documentation Index
> Fetch the complete documentation index at: https://docs.holacati.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Artist songs

> Get an artist's top songs



## OpenAPI

````yaml api-reference/openapi-music.json get /artistsongs
openapi: 3.0.0
info:
  title: Catalina Music API
  version: 1.0.0
  description: An API to search for music, get song URLs, and find artist's top tracks.
servers:
  - url: /
security: []
paths:
  /artistsongs:
    get:
      summary: Get an artist's top songs
      description: Get an artist's top songs
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: The name of the artist.
        - name: alredy_played_song
          in: query
          required: true
          schema:
            type: string
          description: A song title to exclude from the results.
      responses:
        '200':
          description: Successful response with the artist's top tracks.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtistTopTracks'
components:
  schemas:
    ArtistTopTracks:
      type: object
      properties:
        artist:
          type: string
        image_url:
          type: string
          format: uri
        top_tracks:
          type: array
          items:
            $ref: '#/components/schemas/Track'
    Track:
      type: object
      properties:
        title:
          type: string
        cover:
          type: string
          format: uri

````